Failover Cluster Configurator Create Witness Node Task

Failover Cluster Configurator Create Witness Node Task
Creates a Witness node in a degraded VCHA Cluster with node location information and pre-existing VCHA Cluster configuration from the Active node.

Creates a Witness node in a degraded VCHA Cluster with node location information and pre-existing VCHA Cluster configuration from the Active node.

Required privileges: Global.VCServer

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/FailoverClusterConfigurator/{moId}/createWitnessNode_Task
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case FailoverClusterConfigurator/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
createWitnessNodeRequestType of type(s) application/json
Required

Show optional properties

{
    "witnessDeploymentSpec": {},
    "sourceVcSpec": {}
}
{
    "witnessDeploymentSpec": {
        "_typeName": "string",
        "esxHost": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "datastore": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "publicNetworkPortGroup": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "clusterNetworkPortGroup": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "folder": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "resourcePool": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        },
        "managementVc": {
            "_typeName": "string",
            "instanceUuid": "string",
            "url": "string",
            "credential": {
                "_typeName": "string"
            },
            "sslThumbprint": "string",
            "sslCertificate": "string"
        },
        "nodeName": "string",
        "ipSettings": {
            "_typeName": "string",
            "ip": {
                "_typeName": "string"
            },
            "subnetMask": "string",
            "gateway": [
                "string"
            ],
            "ipV6Spec": {
                "_typeName": "string",
                "ip": [
                    {
                        "_typeName": "string"
                    }
                ],
                "gateway": [
                    "string"
                ]
            },
            "dnsServerList": [
                "string"
            ],
            "dnsDomain": "string",
            "primaryWINS": "string",
            "secondaryWINS": "string",
            "netBIOS": "string"
        }
    },
    "sourceVcSpec": {
        "_typeName": "string",
        "managementVc": {
            "_typeName": "string",
            "instanceUuid": "string",
            "url": "string",
            "credential": {
                "_typeName": "string"
            },
            "sslThumbprint": "string",
            "sslCertificate": "string"
        },
        "activeVc": {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    }
}
witnessDeploymentSpec
Required

contains deployment specification for the witness node

sourceVcSpec
Required

contains specification for the source vCenter server that is used to create Witness node

Authentication
This operation uses the following authentication methods.
Responses
200

This method returns a Task object with which to monitor the progress of the operation.

Returns MoRefTask of type(s) application/json
This response body class contains all of the following: MoRefExtensibleManagedObject
{
    "_typeName": "string",
    "type": "string",
    "value": "string"
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"witnessDeploymentSpec":"{}","sourceVcSpec":"{}"}' https://{api_host}/sdk/vim25/{release}/FailoverClusterConfigurator/{moId}/createWitnessNode_Task